Compatibilidad con navegadores WebGL

API JavaScript de Unity WebGLA que renderiza gráficos 2D y 3D en un navegador web. La opción de compilación de Unity WebGL permite a Unity publicar contenido como programas JavaScript que utilizan tecnologías HTML5 y la API de renderizado de WebGL para ejecutar contenido de Unity en un navegador web. Más información
Ver en Glosario es compatible con todos los principales navegadores de escritorio hasta cierto punto. Sin embargo, el nivel de soporte y el rendimiento esperado varían entre los diferentes navegadores. Consulte la tabla a continuación para obtener una descripción general de las funciones del navegador de interés para el contenido de Unity WebGL y qué navegadores las admiten.

Tenga en cuenta que el contenido de Unity WebGL actualmente no es compatible con dispositivos móviles. Aún puede funcionar, especialmente en dispositivos de gama alta, pero muchos dispositivos actuales no son lo suficientemente potentes y no tienen suficiente memoria para admitir bien el contenido de Unity WebGL. Por esta razón, Unity WebGL muestra un mensaje de advertencia al intentar cargar contenido en navegadores móviles (que se puede desactivar si es necesario).

Tenga en cuenta que esta tabla de compatibilidad es válida para las versiones específicas de los navegadores como se indica. El soporte debe continuar para versiones futuras, pero puede que no sea estable en versiones anteriores.

navegador de Escritorio tabla de compatibilidad
Mozilla Firefox 67 Google Chrome 75 Apple Safari 12.1 MS Edge 18
WebAssembly
WebAssembly (o wasm) es un formato portátil, eficiente en tamaño y tiempo de carga adecuado para la compilación en la web.

Firefox 52 y versiones posteriores.

Chrome 57 y versiones posteriores.

Safari 11 o posterior

Borde de 16 o más reciente
WebGL 1.0
GPU listas de bloqueo de aplicar. WebGL puede no ser compatible con tarjetas gráficas antiguas específicas. Los detalles están disponibles en la página wiki de Mozilla en Controladores de Gráficos Bloqueados y en la página wiki de Khronos en Listas Negras y Listas Blancas.

Se aplican listas de bloqueo de GPU. WebGL puede no ser compatible con tarjetas gráficas antiguas específicas. Los detalles están disponibles en la página wiki de Mozilla en Controladores de Gráficos Bloqueados y en la página wiki de Khronos en Listas Negras y Listas Blancas.
WebGL 2.0
(Ver WebGL 2.0)

Firefox 51 y más reciente

Chrome 56 y más reciente
No No
Web de Audio
(Ver Web de Audio)
La Web Audio API es necesario para reproducir el sonido en la Unidad WebGL contenido.
Yes Yes Yes Yes
Full-screen support
(See Full-screen support)
Yes Yes Yes
Safari 10.1 or newer
Yes
Cursor locking support
(see Cursor Locking support)
Yes Yes Yes Yes
Edge 13 and newer.
Gamepad support
(See Gamepad support)
Yes Yes Yes Yes
IndexedDB
Required for local storage as used by the Data Caching feature, the PlayerPrefs class, and WWW.LoadFromCacheOrDownload.
Yes
Firefox up to version 42 does not support IndexedDB for content running in an iFrame. Firefox 43 and higher fixes this.
Yes Yes
Safari no admite IndexedDB para contenido que se ejecuta en un iFrame.
Yes
WebSockets
Necesarios para trabajar en red El sistema Unity que permite juegos multijugador a través de una red informática. Más información Ver en Glosario.
Yes Yes Yes Yes
WebRTC
Required by the WebCamTexture class.
Yes Yes No Yes
asm.js AOT compilation
asm.js is a susbset of JavaScript for which a browser can specifically optimize. Browsers which implement asm.es posible que el soporte de js pueda ejecutar contenido WebGL de Unity más rápido, porque Unity usa asm.js.
No No
Grande-Asignación de encabezado Http
Ayuda a los navegadores asegúrese de que hay suficiente memoria disponible para cargar su contenido (Consulte Grande de Asignación de Encabezado Http)

Firefox 53 y más reciente.
No No No
Brotli Compression
Reduces the build size (see Brotli compression)
Yes Yes Yes
Safari 11 or newer
Yes

  • 2018–09–14 Page amended
  • Brotli compression first documented on this page in User Manual 5.6
  • Actualizado con la información de compatibilidad más reciente en 2019.1

Deja una respuesta

Tu dirección de correo electrónico no será publicada.